Thu, 22 Oct 2020 18:16:37 UTC

Information for build libproxy-0.4.15-5.2.el8

ID271
Package Namelibproxy
Version0.4.15
Release5.2.el8
Epoch
Sourcegit+https://git.centos.org/rpms/libproxy.git#5d72ef604f916a98d206af6b0ace239c4ba40aa1
SummaryA library handling all the details of proxy configuration
Descriptionlibproxy offers the following features: * extremely small core footprint (< 35K) * no external dependencies within libproxy core (libproxy plugins may have dependencies) * only 3 functions in the stable external API * dynamic adjustment to changing network topology * a standard way of dealing with proxy settings across all scenarios * a sublime sense of joy and accomplishment
Built byhughesjr
State complete
Volume DEFAULT
StartedSat, 11 May 2019 14:39:55 UTC
CompletedSat, 11 May 2019 14:53:05 UTC
Taskbuild (dist-c8, /rpms/libproxy.git:5d72ef604f916a98d206af6b0ace239c4ba40aa1)
Extra{'source': {'original_url': 'git+https://git.centos.org/rpms/libproxy.git?#5d72ef604f916a98d206af6b0ace239c4ba40aa1'}}
Tags
dist-c8
dist-c8-compose
dist-c8-stream
dist-c8-stream-compose
RPMs
src
libproxy-0.4.15-5.2.el8.src.rpm (info) (download)
aarch64
libproxy-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-bin-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-devel-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-gnome-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-networkmanager-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-webkitgtk4-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-bin-debuginfo-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-debuginfo-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-debugsource-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-gnome-debuginfo-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-networkmanager-debuginfo-0.4.15-5.2.el8.aarch64.rpm (info) (download)
libproxy-webkitgtk4-debuginfo-0.4.15-5.2.el8.aarch64.rpm (info) (download)
i686
libproxy-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-bin-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-devel-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-gnome-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-networkmanager-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-webkitgtk4-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-bin-debuginfo-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-debuginfo-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-debugsource-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-gnome-debuginfo-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-networkmanager-debuginfo-0.4.15-5.2.el8.i686.rpm (info) (download)
libproxy-webkitgtk4-debuginfo-0.4.15-5.2.el8.i686.rpm (info) (download)
noarch
python3-libproxy-0.4.15-5.2.el8.noarch.rpm (info) (download)
ppc64le
libproxy-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-bin-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-devel-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-gnome-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-networkmanager-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-webkitgtk4-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-bin-debuginfo-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-debuginfo-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-debugsource-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-gnome-debuginfo-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-networkmanager-debuginfo-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
libproxy-webkitgtk4-debuginfo-0.4.15-5.2.el8.ppc64le.rpm (info) (download)
x86_64
libproxy-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-bin-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-devel-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-gnome-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-networkmanager-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-webkitgtk4-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-bin-debuginfo-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-debuginfo-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-debugsource-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-gnome-debuginfo-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-networkmanager-debuginfo-0.4.15-5.2.el8.x86_64.rpm (info) (download)
libproxy-webkitgtk4-debuginfo-0.4.15-5.2.el8.x86_64.rpm (info) (download)
Logs
aarch64
state.log
noarch_rpmdiff.json
hw_info.log
root.log
build.log
mock_output.log
x86_64
state.log
noarch_rpmdiff.json
hw_info.log
root.log
build.log
mock_output.log
ppc64le
state.log
noarch_rpmdiff.json
hw_info.log
root.log
build.log
mock_output.log
i686
state.log
noarch_rpmdiff.json
hw_info.log
root.log
build.log
mock_output.log
Changelog * Thu May 31 2018 Dan Winship <danw@redhat.com> - 0.4.15-5.2 - Drop pacrunner-mozjs (#1571640) * Wed May 30 2018 Dan Winship <danw@redhat.com> - 0.4.15-5.1 - Drop python2 subpackage (#1559092) - Drop PAC runner based on the "pacrunner" package (#1569023) - Replace pacrunner-crash-fix patch with version from RHEL7 - Drop kde subpackage (#1538147) * Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-4 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild * Thu Jul 13 2017 David King <amigadave@amigadave.com> - 0.4.15-2 - Use pkgconfig for BuildRequires - Fix crash in pacrunner module (#1459779) * Tue May 16 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.15-1 - Update to 0.4.15 * Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.14-2 - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild * Mon Jan 09 2017 David King <amigadave@amigadave.com> - 0.4.14-1 - Update to 0.4.14 * Sun Jan 01 2017 David King <amigadave@amigadave.com> - 0.4.13-1 - Update to 0.4.13 * Mon Dec 19 2016 Miro HronĨok <mhroncok@redhat.com> - 0.4.12-5 - Rebuild for Python 3.6 * Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-4 - https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages * Mon Apr 04 2016 David King <amigadave@amigadave.com> - 0.4.12-3 - Install bindings for both Python 2 and 3 (#1323251) * Fri Mar 04 2016 David King <amigadave@amigadave.com> - 0.4.12-2 - Fix a Python bindings crash on 64-bit systems (#1296817) * Mon Feb 29 2016 David King <amigadave@amigadave.com> - 0.4.12-1 - Update to 0.4.12 - Simplify conditional macros - Use isa macro when requiring base package - Use license macro for COPYING - Use pkgconfig for BuildRequires - Use javascriptcoregtk-4.0 - Apply an upstream patch to pair new[] with delete[] - Fix slowdown in KDE plugin - Make the pacrunner subpackage depend on pacrunner (#1171679) - Install man page from Debian * Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-13 - Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild * Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-12 - Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild * Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.11-11 - Rebuilt for GCC 5 C++11 ABI change * Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-10 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild * Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-9 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild * Mon Nov 11 2013 Dan Winship <danw@redhat.com> - 0.4.11-8 - Really fix the JS_AbortIfWrongThread crash (#998232) * Thu Sep 19 2013 Dan Winship <danw@redhat.com> - 0.4.11-7 - Fix file descriptor leak (#911066) - Fix crash when pacrunner fails (probably because of EMFILE...) (#998232) * Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-6 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild * Thu Jul 18 2013 David Woodhouse <David.Woodhouse@intel.com> - 0.4.11-5 - Add PacRunner module now that Fedora has PacRunner * Mon Jun 03 2013 Colin Walters <walters@redhat.com> - 0.4.11-4 - Add patch to build with mozjs17, use it by default * Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild * Thu Jan 03 2013 Dan Winship <danw@redhat.com> - 0.4.11-2 - Minor dependency fixes * Mon Dec 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4.11-1 - Update to 0.4.11 - CVE-2012-5580 * Tue Oct 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 0.4.10-1 - Update to 0.4.10 - Fix CVE-2012-4504 * Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild * Mon Feb 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.7-4 - Add upstream patches to use js rather than xulrunner - Add patch to fix FTBFS on gcc 4.7 - Cleanup spec for latest updates and remove obsolete bits * Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild * Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.7-2 - Rebuild for new libpng * Tue Jun 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.7-1 - Update to 0.4.7 - libproxy-1.0.pc is now reliable starting with 0.4.7 * Tue Apr 12 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.4.7-0.1svn20110412 - Update to 0.4.7 svn20110412 - Add support for webkitgtk3 - Add support for xulrunner 2.0 - fix #683015 - libproxy fails with autoconfiguration - fix #683018 - libproxy needs BR: NetworkManager-glib-devel (f14) - Manually fix libproxy-1.0.pc version field - #664781 / #674854 * Wed Nov 24 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.4.6-3 - Fix mozjs/webkit obsoletion - rhbz#656849 - Workaround unreliable Version field in pkg-config - rhbz#656484 * Sun Nov 07 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.4.6-1 - Update to 0.4.6 - Fix python module not arch dependant * Mon Sep 06 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.4.5-2 - Update to 0.4.5 - Disable mozjs on fedora >= 15 - Disable webkit - Add libproxy bootstrap option to disable modules. * Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.4-7 - Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild * Tue Jul 13 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.4.4-6 - Fix libproxy-1.0.pc * Mon Jul 05 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.4.4-5 - Re-enable mozjs and webkit * Mon Jul 05 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.4.4-4 - Disable mozjs to get around a build error temporarily * Mon Jul 05 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.4.4-3 - Disable webkit subpackage in order to resolve circular dep * Sat Jul 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.4.4-2 - Fix missing BuildRequires: libmodman-devel * Sun Jun 13 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 0.4.4-1 - Update to 0.4.4 - Removed install workarounds (fixed upstream) - Removed patches (fixed upstream) - Moved -python to noarch - Downgrade cmake requirement (upstream change) - Disabled perl bindings - Run tests * Thu Mar 11 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.3.1-4 - Add missing libXmu-devel * Sun Feb 21 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.3.1-4 - Globalism and update gecko to 1.9.2 - Avoid rpath on _libdir - Fix BR for kde4 to kdelibs-devel * Sun Dec 27 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.3.1-1 - Update to 0.3.1 - Avoid dependecies on -python and -bin subpackages - Create -networkmanager sub-package. * Thu Sep 24 2009 kwizart < kwizart at gmail.com > - 0.3.0-1 - Update to 0.3.0 * Thu Sep 17 2009 kwizart < kwizart at gmail.com > - 0.2.3-12 - Remove Requirement of %{name}-pac virtual provides from the main package - #524043 * Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-11 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild * Mon Mar 09 2009 kwizart < kwizart at gmail.com > - 0.2.3-10 - Rebuild for webkit - Raise requirement for xulrunner to 1.9.1 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild * Thu Jan 22 2009 kwizart < kwizart at gmail.com > - 0.2.3-8 - Merge NetworkManager module into the main libproxy package - Main Requires the -python and -bin subpackage (splitted for multilibs compliance). * Fri Oct 24 2008 kwizart < kwizart at gmail.com > - 0.2.3-7 - Disable Gnome/KDE default support via builtin modules. (it needs to be integrated via Gconf2/neon instead). * Tue Oct 21 2008 kwizart < kwizart at gmail.com > - 0.2.3-6 - Disable Obsoletes. - Requires ev instead of evr for optionnals sub-packages. * Tue Oct 21 2008 kwizart < kwizart at gmail.com > - 0.2.3-5 - Use conditionals build. * Mon Sep 15 2008 kwizart < kwizart at gmail.com > - 0.2.3-4 - Remove plugin- in the name of the packages * Mon Aug 04 2008 kwizart < kwizart at gmail.com > - 0.2.3-3 - Move proxy.h to libproxy/proxy.h This will prevent it to be included in the default include path - Split main to libs and util and use libproxy to install all * Mon Aug 04 2008 kwizart < kwizart at gmail.com > - 0.2.3-2 - Rename binding-python to python - Add Requires: gecko-libs >= %{gecko_version} - Fix some descriptions - Add plugin-webkit package * Fri Jul 11 2008 kwizart < kwizart at gmail.com > - 0.2.3-1 - Convert to Fedora spec * Fri Jun 06 2008 - dominique-rpm@leuenberger.net - Updated to version 0.2.3 * Wed Jun 04 2008 - dominique-rpm@leuenberger.net - Extended spec file to build all available plugins * Tue Jun 03 2008 - dominique-rpm@leuenberger.net - Initial spec file for Version 0.2.2